diff --git a/gulpfile.js b/gulpfile.js
index 93fd75d5a790980e4794aae34abc807a57600ba6..0a557d29d8d446812963df5ed5a8ad559e39e7ed 100644
--- a/gulpfile.js
+++ b/gulpfile.js
@@ -792,6 +792,8 @@ const webCompile = gulp.series(
   webCleanUnusedFiles,
   webCleanUnusedDirectories
 );
+
+// note : Do not call config, to keep same config between web and webExt artifacts
 const webBuild = gulp.series(
   webClean,
   webCompile,
@@ -803,6 +805,8 @@ const webExtCompile = gulp.series(
   webCompile,
   webExtCopyFiles
 );
+
+// note : Do not call config, to keep same config between web and webExt artifacts
 const webExtBuild = gulp.series(
   webExtCompile,
   webExtensionZip,
diff --git a/scripts/release.sh b/scripts/release.sh
index 4fecf07b248eb7f149b4a991f5a9b02f9f4b2730..43f5d1438ebc6a2119bc4d3b6273c7d3575ebdfe 100755
--- a/scripts/release.sh
+++ b/scripts/release.sh
@@ -98,9 +98,8 @@ mkdir -p ${DIST_ANDROID} || exit 1
 rm -rf ${DIST_ANDROID}/*.apk || exit 1
 rm -rf ${ANDROID_OUTPUT_APK_RELEASE}/*.apk || exit 1
 . scripts/build-android.sh --release
-if [[ $? -ne 0 ]]; then
-  exit 1
-fi
+[[ $? -ne 0 ]] && exit 1
+
 APK_RELEASE_FILE="${ANDROID_OUTPUT_APK_RELEASE}/android-release.apk"
 if [[ ! -f "${APK_RELEASE_FILE}" ]]; then
   echo "ERROR: Missing android artifact at ${APK_RELEASE_FILE}"
@@ -115,8 +114,10 @@ echo "- Building web and extension artifacts..."
 echo "----------------------------------"
 cd ${PROJECT_DIR} || exit 1
 
-# Run web build
+# Gnerate config (only once, to keep same config if web and web-extension artifacts)
 gulp config --env default
+
+# Run web build
 gulp webBuild --release
 [[ $? -ne 0 ]] && exit 1